package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.FjEntity;
import io.renren.modules.app.entity.SqwxzqEntity;
import io.renren.modules.app.entity.WxjlbEntity;
import io.renren.modules.app.entity.WxxmxxEntity;
import io.renren.modules.app.entity.XlkEntity;

import java.util.List;
import java.util.Map;

/**
 * 维修基金支取申请表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-04-11 10:12:38
 */
public interface SqwxzqService extends IService<SqwxzqEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param sqwxzqEntity
	 * @return
	 */
	PageInfo<SqwxzqEntity> queryByPage(Integer pageNum, Integer pageSize, SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity selectlrdjxq(Map<String, String> map);

	List<WxjlbEntity> selectlrwxxmxq(Map<String, String> map);

	void updatelr(SqwxzqEntity sqwxzqEntity);

	void deletelr(Map<String, String> map);

	/**
	 * 单个或批量删除
	 * 
	 * @param ids
	 */
	void deleteBatch(String[] ids);

	/**
	 * 条数
	 * 
	 * @param sqwxzqEntity
	 * @return
	 */
	String queryByCount(String date);

	SqwxzqEntity query(SqwxzqEntity sqwxzqEntity);

	List<SqwxzqEntity> querym(SqwxzqEntity sqwxzqEntity);

	List<SqwxzqEntity> querys(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity querft(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity querykjqj(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity querydjbh(SqwxzqEntity sqwxzqEntity);

	void queryftsc(SqwxzqEntity sqwxzqEntity);

	void queryftbc(SqwxzqEntity sqwxzqEntity);

	void insertsqwxz(SqwxzqEntity sqwxzqEntity);

	void insertwxjlb(WxjlbEntity wxjlbEntity);

	// 多级联动下拉框查询
	List<XlkEntity> selectDjld(Map<String, String> map);

	SqwxzqEntity selectDjxx(Map<String, String> map);

	// 查询维修项目信息
	List<WxxmxxEntity> selectWxxmxx(Map<String, String> map);

	String getWjqljById(String id);
	
	void insertFjb(FjEntity fjEntity);

}
